View Issue Details

IDProjectCategoryView StatusLast Update
15610Bug reports[All Projects] RemoteControlpublic2019-12-02 12:16
Reporterbismark Assigned Toc_schmitz  
PrioritynoneSeveritymajor 
Status closedResolutionfixed 
Product Version3.20.x 
Target VersionFixed in Version 
Summary15610: RemoteControl cpd_importParticipants does not blacklist participants
Description

the second participant will not be blacklisted

$client = new \org\jsonrpcphp\JsonRPCClient( 'http://limesurvey-dashboard.localhost/index.php/admin/remotecontrol' );
$sessionKey= $client->get_session_key('username', 'password');

$participants = array(
    array(
        'firstname' => 'firstname 1',
        'lastname' => 'lastname 1',
        'email' => 'firstname1.lastname1@test.com'
    ),
    array(
        'firstname' => 'firstname 2',
        'lastname' => 'lastname 2',
        'email' => 'firstname2.lastname2@test.com',
        'blacklisted' => 'Y'
    )
);

$result = $client->cpd_importParticipants($sessionKey, $participants);
var_dump($result); exit;

a fix could be application/helpers/remotecontrol/remotecontrol_handle.php line 3145

'blacklisted' => (isset($aParticipantData['blacklisted']) && $aParticipantData['blacklisted'] === 'Y') ? $aParticipantData['blacklisted'] : 'N'
TagsNo tags attached.
Complete LimeSurvey version number (& build)master
I will donate to the project if issue is resolvedNo
Browser
Database & DB-Version10.1.26-MariaDB
Server OS (if known)
Webserver software & version (if known)
PHP Version7.1.8

Activities

bismark

bismark

2019-11-22 10:57

reporter   ~54756

'blacklisted' => (isset($aParticipantData['blacklisted']) && $aParticipantData['blacklisted'] === 'Y') ? 'Y' : 'N'
bismark

bismark

2019-11-22 12:14

reporter   ~54759

https://github.com/LimeSurvey/LimeSurvey/pull/1345

c_schmitz

c_schmitz

2019-11-26 12:15

administrator   ~54782

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=29271

bismark

bismark

2019-11-26 16:15

reporter   ~54787

thanx

lime_release_bot

lime_release_bot

2019-12-02 12:16

administrator   ~54899

Fixed in Release 3.21.0+191203

Related Changesets

LimeSurvey: master 23deb95e

2019-11-26 12:15:03

bismark


Committer: c_schmitz Details Diff
Fixed issue 15610: RemoteControl cpd_importParticipants does not blacklist participants Affected Issues
15610
mod - application/helpers/remotecontrol/remotecontrol_handle.php Diff File

Issue History

Date Modified Username Field Change
2019-11-22 10:56 bismark New Issue
2019-11-22 10:57 bismark Note Added: 54756
2019-11-22 11:31 cdorin Assigned To => cdorin
2019-11-22 11:31 cdorin Status new => assigned
2019-11-22 12:14 bismark Note Added: 54759
2019-11-26 12:15 c_schmitz Changeset attached => LimeSurvey master 23deb95e
2019-11-26 12:15 c_schmitz Note Added: 54782
2019-11-26 12:15 c_schmitz Assigned To cdorin => c_schmitz
2019-11-26 12:15 c_schmitz Resolution open => fixed
2019-11-26 16:15 bismark Note Added: 54787
2019-12-02 12:16 lime_release_bot Note Added: 54899
2019-12-02 12:16 lime_release_bot Status assigned => closed